IO.Connect CLI
=================

IO.Connect CLI - a command line for creating IO.Connect applications

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @interopio/cli
$ iop COMMAND
running command...
$ iop (--version)
@interopio/cli/4.0.0 darwin-arm64 node-v20.13.0
$ iop --help [COMMAND]
USAGE
  $ iop COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`iop configure`](#iop-configure)
* [`iop help [COMMANDS]`](#iop-help-commands)
* [`iop new <NEWAPP>`](#iop-new-newapp)
* [`iop plugins`](#iop-plugins)
* [`iop plugins:install PLUGIN...`](#iop-pluginsinstall-plugin)
* [`iop plugins:inspect PLUGIN...`](#iop-pluginsinspect-plugin)
* [`iop plugins:install PLUGIN...`](#iop-pluginsinstall-plugin-1)
* [`iop plugins:link PLUGIN`](#iop-pluginslink-plugin)
* [`iop plugins:uninstall PLUGIN...`](#iop-pluginsuninstall-plugin)
* [`iop plugins:uninstall PLUGIN...`](#iop-pluginsuninstall-plugin-1)
* [`iop plugins:uninstall PLUGIN...`](#iop-pluginsuninstall-plugin-2)
* [`iop plugins update`](#iop-plugins-update)

## `iop configure`

Configure your io.Connect CLI with correct credentials.

```
USAGE
  $ iop configure

FLAGS
  -m, --mode=<option>  The mode to use for fetching the templates - either from a remote git repository or from an
                       embedded collection.
                       <options: auto|remote|offline>
  -t, --token=<value>  Your io.Connect Browser license key.

DESCRIPTION
  Configure your io.Connect CLI with correct credentials.

EXAMPLES
  Starts an interactive flow to configure your io.Connect CLI.

    $ iop configure

  Configures your io.Connect CLI with the provided license token.

    $ iop configure --token <license-token>

  Configures your io.Connect CLI mode to use when fetching app templates.

    $ iop configure --mode <auto-or-remote-or-offline>

  Shows help for the configure command.

    $ iop configure --help
```

## `iop help [COMMANDS]`

Display help for iop.

```
USAGE
  $ iop help [COMMANDS] [-n]

ARGUMENTS
  COMMANDS  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for iop.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.2.19/src/commands/help.ts)_

## `iop new <NEWAPP>`

Bootstraps a new io.Connect app.

```
USAGE
  $ iop new <NEWAPP>

ARGUMENTS
  NEWAPP  The type of new app to create: browser-platform | browser-client

FLAGS
  -n, --name=<value>       The name of your IO.Connect Browser app.
  -t, --template=<option>  The IO.Connect Browser app template.
                           <options: dev-react-seed|home-react-wsp|vanilla-js|wsp-frame|react|vanilla-js>
  -y, --yes                Skip prompts and use default values for all options

DESCRIPTION
  Bootstraps a new io.Connect app.

EXAMPLES
  $ iop new browser-platform

  $ iop new browser-platform@3.1

  $ iop new browser-client

  $ iop new browser-client@3.2
```

## `iop plugins`

List installed plugins.

```
USAGE
  $ iop plugins [--json] [--core]

FLAGS
  --core  Show core plugins.

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  List installed plugins.

EXAMPLES
  $ iop plugins
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/index.ts)_

## `iop plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ iop plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ iop plugins add

EXAMPLES
  $ iop plugins:install myplugin 

  $ iop plugins:install https://github.com/someuser/someplugin

  $ iop plugins:install someuser/someplugin
```

## `iop plugins:inspect PLUGIN...`

Displays installation properties of a plugin.

```
USAGE
  $ iop plugins:inspect PLUGIN...

ARGUMENTS
  PLUGIN  [default: .] Plugin to inspect.

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  Displays installation properties of a plugin.

EXAMPLES
  $ iop plugins:inspect myplugin
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/inspect.ts)_

## `iop plugins:install PLUGIN...`

Installs a plugin into the CLI.

```
USAGE
  $ iop plugins:install PLUGIN...

ARGUMENTS
  PLUGIN  Plugin to install.

FLAGS
  -f, --force    Run yarn install with force flag.
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Installs a plugin into the CLI.
  Can be installed from npm or a git url.

  Installation of a user-installed plugin will override a core plugin.

  e.g. If you have a core plugin that has a 'hello' command, installing a user-installed plugin with a 'hello' command
  will override the core plugin implementation. This is useful if a user needs to update core plugin functionality in
  the CLI without the need to patch and update the whole CLI.


ALIASES
  $ iop plugins add

EXAMPLES
  $ iop plugins:install myplugin 

  $ iop plugins:install https://github.com/someuser/someplugin

  $ iop plugins:install someuser/someplugin
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/install.ts)_

## `iop plugins:link PLUGIN`

Links a plugin into the CLI for development.

```
USAGE
  $ iop plugins:link PLUGIN

ARGUMENTS
  PATH  [default: .] path to plugin

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Links a plugin into the CLI for development.
  Installation of a linked plugin will override a user-installed or core plugin.

  e.g. If you have a user-installed or core plugin that has a 'hello' command, installing a linked plugin with a 'hello'
  command will override the user-installed or core plugin implementation. This is useful for development work.


EXAMPLES
  $ iop plugins:link myplugin
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/link.ts)_

## `iop plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ iop plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ iop plugins unlink
  $ iop plugins remove
```

## `iop plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ iop plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ iop plugins unlink
  $ iop plugins remove
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/uninstall.ts)_

## `iop plugins:uninstall PLUGIN...`

Removes a plugin from the CLI.

```
USAGE
  $ iop plugins:uninstall PLUGIN...

ARGUMENTS
  PLUGIN  plugin to uninstall

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Removes a plugin from the CLI.

ALIASES
  $ iop plugins unlink
  $ iop plugins remove
```

## `iop plugins update`

Update installed plugins.

```
USAGE
  $ iop plugins update [-h] [-v]

FLAGS
  -h, --help     Show CLI help.
  -v, --verbose

DESCRIPTION
  Update installed plugins.
```

_See code: [@oclif/plugin-plugins](https://github.com/oclif/plugin-plugins/blob/v3.7.0/src/commands/plugins/update.ts)_
<!-- commandsstop -->
